#
# spec file for package libXcomposite
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libXcomposite
VCS: https://src.suse.de/SLFO-pool/libXcomposite#9b804399bd031dbae6d76f1888e723fa6991fc199199641b6147be0df3a0ad1c
%define lname	libXcomposite1
Version:        0.4.6
Release:        160000.1.8
Summary:        X11 protocol Composite extension client library
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://wiki.freedesktop.org/wiki/Software/CompositeExt

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libXcomposite
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libXcomposite/
Source0:        http://xorg.freedesktop.org/archive/individual/lib/%name-%version.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.60, automake, libtool
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(compositeproto) >= 0.4
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

%description
The Composite extension causes a entire sub-tree of the window
hierarchy to be rendered to an off-screen buffer. Applications can
then take the contents of that buffer and do whatever they like. The
off-screen buffer can be automatically merged into the parent window
or merged by external programs, called compositing managers.

%package -n %lname
Summary:        X11 protocol Composite extension client library
Group:          System/Libraries

%description -n %lname
The Composite extension causes a entire sub-tree of the window
hierarchy to be rendered to an off-screen buffer. Applications can
then take the contents of that buffer and do whatever they like. The
off-screen buffer can be automatically merged into the parent window
or merged by external programs, called compositing managers.

%package devel
Summary:        Development files for the X11 Composite extension library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
The composite extension provides several related mechanisms:
- Per-hierarchy storage: The rendering of an entire hierarchy of
  windows is redirected to off-screen storage.
- Automatic shadow update: When a hierarchy is rendered off-screen,
  the X server provides an automatic mechanism for presenting those
  contents within the parent window.
- Composite overlay window: provides compositing managers with a
  surface on which to draw without interference.
- Parent window clipping: modifies the semantics of parent window
  clipping in the presence of manual redirected children.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libXcomposite.so.1*

%files devel
%defattr(-,root,root)
%_includedir/X11/*
%_libdir/libXcomposite.so
%_libdir/pkgconfig/xcomposite.pc
%_mandir/man3/*

%changelog
* Sun Dec  4 2022 sndirsch@suse.com
- Update to version 0.4.6
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * Mark two dpy parameters const as suggested by cppcheck
  * Remove unnecessary casts from malloc() and free() calls
  * Wrap XComposite*CheckExtension() in do { ... } while(0)
  * Handle implicit conversion warnings from clang
  * XCompositeCloseDisplay: Mark codes as unused
* Tue May 28 2019 sndirsch@suse.com
- marked baselibs.conf as sourcefile in specfile
* Mon Mar 11 2019 sndirsch@suse.com
- Update to version 0.4.5
  * autogen: add default patch prefix
  * autogen.sh: Implement GNOME Build API
  * autogen.sh: use exec instead of waiting for configure to finish
  * autogen.sh: use quoted string variables
  * configure: Remove AM_MAINTAINER_MODE
  * Use Xfree rather than XFree for consistency
  * Update configure.ac bug URL for gitlab migration
  * Update README for gitlab migration
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Add missing BuildRequires
* Thu Apr 11 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
- Avoid calling fdupes outside of /usr
* Sun Jan  6 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 0.4.4:
  + This minor maintenance release cleans up the build configuration scripts,
    including making them compatible with automake-1.13, which errors out on
    the old AM_CONFIG_HEADER macro.
* Tue Sep 25 2012 sndirsch@suse.com
- specfile cleanup
* Sat Feb 11 2012 jengelh@medozas.de
- Provide package descriptions and update URL
* Tue Feb  7 2012 jengelh@medozas.de
- Split xorg-x11-libs into separate packages
